- NAME
- VERSION
- METHODS
  - Class Methods
    - new
    - header
    - result
    - close_test
    - clear_for_close
    - time_report

# NAME

TAP::Formatter::Session - Abstract base class for harness output delegate

# VERSION

Version 3.38

# METHODS

## Class Methods

### `new`

     my %args = (
        formatter => $self,
     )
     my $harness = TAP::Formatter::Console::Session->new( \%args );

The constructor returns a new `TAP::Formatter::Console::Session` object.

- `formatter`

- `parser`

- `name`

- `show_count`

### `header`

Output test preamble

### `result`

Called by the harness for each line of TAP it receives.

### `close_test`

Called to close a test session.

### `clear_for_close`

Called by `close_test` to clear the line showing test progress, or the parallel test ruler, prior to printing the final test result.

### `time_report`

Return a formatted string about the elapsed (wall-clock) time and about the consumed CPU time.